Saltar al contenido

Más en DLAN: Nuestras Traducciones | Otras Traducciones | Mods y modding | Revisiones y Guías | Videojuegos | Arte | Literatura | Rol y Rol por foro e IRC | Mapa de la web
Foto

Traducción Dreamfall Chapters - Libro Uno, Dos, Tres, Cuatro y Cinco


7 respuestas al tema

#1 Immortality

Immortality

    The Captn, Almirante de la flota estelar.

  • Admin
  • 26564 posts

Posteado 12 September 2016 - 08:19 PM

El equipo compuesto por Darkpadawan y César han actualizado la traducción de Traducción Dreamfall Chapters, que ahora contiene los capítulos Uno al Cinco.

¡Disfrutad!


All Hail the lucky ones,
I refer to those in love, yeah.

Nasnoches, señoras y señores. Sepan que forman parte de la mejor comunidad online de la web : D


#2 Erland

Erland

    Humano

  • Miembro
  • Pip
  • 23 posts

Posteado 13 September 2016 - 02:29 AM

Muchas, pero muchas gracias, gran trabajo.  :thumb:



#3 DeM

DeM

    Humano

  • Miembro
  • Pip
  • 16 posts

Posteado 17 September 2016 - 05:33 PM

No sé muy bien cómo daros las gracias, no solo por la traducción sino (como linuxero) por haberla hecho multiplataforma. Por lo que he podido probar hasta ahora la traducción del capítulo 5 va perfecta (los otros 4 capítulos ya los jugué en SteamOS).

 

Solamente comentaros que el .jar que habéis creado funciona con el JAVA 8 de Oracle, pero no funciona con OpenJDK 7, que es lo que duele venir por defecto en los repositorios de las distros de linux. Os digo esto porque, aunque hay distros (como Archlinux) en las que es relativamente sencillo cambiar entre una y otra, pero justamente en SteamOS es bastante incómodo (imagino que a los repositorios oficiales de SteamOS habría que añadir tanto los repositorios oficiales de Debian como algún repositorio no oficial del java de Oracle). Yo personalmente lo que he hecho es, modificar los .asset desdel Oracle 8 de Archlinux, y luego copiarlos a pelo en mi Steam Machine (con SteamOS), y con eso me está funcionando perfectamente.

 

Ignoro si será sencillo crear una versión del .jar que funcione en ambos javas. El error que sale en OpenJDK 7 (probado tanto en SteamOS como en Archlinux) es:

 

java -jar Traduccion_Dreamfall_Chapters_v.5.0.1-5.X.jar
Logging initialized at level 'INFO'
Commandline arguments:
Detected platform: linux,version=4.7.3-2-ARCH,arch=x64,symbolicName=null,javaVersion=1.7.0_111
Exception in thread "main" java.lang.UnsupportedClassVersionError: listeners/ListenerInstalacion : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
    at com.izforge.izpack.core.container.AbstractContainer.getClass(AbstractContainer.java:261)
    at com.izforge.izpack.core.factory.DefaultObjectFactory.create(DefaultObjectFactory.java:101)
    at com.izforge.izpack.installer.container.impl.CustomDataLoader.addInstallerListener(CustomDataLoader.java:141)
    at com.izforge.izpack.installer.container.impl.CustomDataLoader.loadCustomData(CustomDataLoader.java:116)
    at com.izforge.izpack.installer.container.impl.InstallerContainer.resolveComponents(InstallerContainer.java:147)
    at com.izforge.izpack.installer.container.impl.GUIInstallerContainer.resolveComponents(GUIInstallerContainer.java:90)
    at com.izforge.izpack.installer.container.impl.InstallerContainer.fillContainer(InstallerContainer.java:80)
    at com.izforge.izpack.core.container.AbstractContainer.initialise(AbstractContainer.java:304)
    at com.izforge.izpack.core.container.AbstractContainer.initialise(AbstractContainer.java:284)
    at com.izforge.izpack.installer.container.impl.GUIInstallerContainer.<init>(GUIInstallerContainer.java:40)
    at com.izforge.izpack.installer.bootstrap.InstallerGui.run(InstallerGui.java:52)
    at com.izforge.izpack.installer.bootstrap.Installer.launchInstall(Installer.java:216)
    at com.izforge.izpack.installer.bootstrap.Installer.start(Installer.java:192)
    at com.izforge.izpack.installer.bootstrap.Installer.main(Installer.java:71)

 

Cuando compruebe que el juego es 100% completable en linux os escribiré para confirmarlo :thumb:



#4 cesarpomar

cesarpomar

    Humano

  • Miembro
  • Pip
  • 55 posts

Posteado 18 September 2016 - 12:06 AM

No sé muy bien cómo daros las gracias, no solo por la traducción sino (como linuxero) por haberla hecho multiplataforma. Por lo que he podido probar hasta ahora la traducción del capítulo 5 va perfecta (los otros 4 capítulos ya los jugué en SteamOS).

 

Solamente comentaros que el .jar que habéis creado funciona con el JAVA 8 de Oracle, pero no funciona con OpenJDK 7, que es lo que duele venir por defecto en los repositorios de las distros de linux. Os digo esto porque, aunque hay distros (como Archlinux) en las que es relativamente sencillo cambiar entre una y otra, pero justamente en SteamOS es bastante incómodo (imagino que a los repositorios oficiales de SteamOS habría que añadir tanto los repositorios oficiales de Debian como algún repositorio no oficial del java de Oracle). Yo personalmente lo que he hecho es, modificar los .asset desdel Oracle 8 de Archlinux, y luego copiarlos a pelo en mi Steam Machine (con SteamOS), y con eso me está funcionando perfectamente.

 

Ignoro si será sencillo crear una versión del .jar que funcione en ambos javas. El error que sale en OpenJDK 7 (probado tanto en SteamOS como en Archlinux) es:

 

java -jar Traduccion_Dreamfall_Chapters_v.5.0.1-5.X.jar
Logging initialized at level 'INFO'
Commandline arguments:
Detected platform: linux,version=4.7.3-2-ARCH,arch=x64,symbolicName=null,javaVersion=1.7.0_111
Exception in thread "main" java.lang.UnsupportedClassVersionError: listeners/ListenerInstalacion : Unsupported major.minor version 52.0
    at java.lang.ClassLoader.defineClass1(Native Method)
    at java.lang.ClassLoader.defineClass(ClassLoader.java:803)
    at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
    at java.net.URLClassLoader.defineClass(URLClassLoader.java:449)
    at java.net.URLClassLoader.access$100(URLClassLoader.java:71)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:361)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
    at com.izforge.izpack.core.container.AbstractContainer.getClass(AbstractContainer.java:261)
    at com.izforge.izpack.core.factory.DefaultObjectFactory.create(DefaultObjectFactory.java:101)
    at com.izforge.izpack.installer.container.impl.CustomDataLoader.addInstallerListener(CustomDataLoader.java:141)
    at com.izforge.izpack.installer.container.impl.CustomDataLoader.loadCustomData(CustomDataLoader.java:116)
    at com.izforge.izpack.installer.container.impl.InstallerContainer.resolveComponents(InstallerContainer.java:147)
    at com.izforge.izpack.installer.container.impl.GUIInstallerContainer.resolveComponents(GUIInstallerContainer.java:90)
    at com.izforge.izpack.installer.container.impl.InstallerContainer.fillContainer(InstallerContainer.java:80)
    at com.izforge.izpack.core.container.AbstractContainer.initialise(AbstractContainer.java:304)
    at com.izforge.izpack.core.container.AbstractContainer.initialise(AbstractContainer.java:284)
    at com.izforge.izpack.installer.container.impl.GUIInstallerContainer.<init>(GUIInstallerContainer.java:40)
    at com.izforge.izpack.installer.bootstrap.InstallerGui.run(InstallerGui.java:52)
    at com.izforge.izpack.installer.bootstrap.Installer.launchInstall(Installer.java:216)
    at com.izforge.izpack.installer.bootstrap.Installer.start(Installer.java:192)
    at com.izforge.izpack.installer.bootstrap.Installer.main(Installer.java:71)

 

Cuando compruebe que el juego es 100% completable en linux os escribiré para confirmarlo :thumb:

 

El parche fue compilado con java 8, por lo tanto cualquier versión anterior de java dará error debido a que java 8 incluye nuevas clases y sintaxis que las otras no soportan. Para hacerlo funcionar podeis usar o el Java 8 de oracle o el OpenJdk 8, eso lo dejo a vuestro gusto.

 

Y respecto a la pregunta de si seria posible compilarlo de forma que funcionara en ambas versiones, si y no. El parche esta hecho de forma que podria ser compilado con cualquier versión de java, pero el parche es una mera interfaz del programa que diseñe y que fue usado para extraer e importar los textos. Ese programa si tiene algunas caracteristicas presentes solo en java 8 y habria que cambiar varios de sus modulos. Con lo cual y teniendo en cuenta que Java 9 ya esta en desarrollo, solo es cuestion de tiempo que los sistemas empiecen a cambiar su versión java por defecto y el problema desaparezca.

 

Saludos a todos



#5 vida_pobre

vida_pobre

    Humano

  • Miembro
  • Pip
  • 6 posts

Posteado 18 September 2016 - 11:19 PM

Estoy jugando con la traducción pero la que posteo Darkpadawan el 5 de Septiembre en el otro thread. Hasta ahora todo ok voy ningun drama, por ahi algun error pero en cosas como traducir algunas cosas que quedaban mejor en el idioma original. Pero, la dejo o la cambio por esta traducción definitiva?

 

Abrazos cordiales y mil gracias por todo el trabajo que se mandaron y siguen haciendo.



#6 DeM

DeM

    Humano

  • Miembro
  • Pip
  • 16 posts

Posteado 20 September 2016 - 12:38 AM

Comprobado en arch, va bien con openjdk-8 (que está en el mismo repositorio queel openjdk-7). En cambio en SteamOS habría que añadir el repositorio jessie-backports de Debian, porque por defecto en el jessie estable solo está openjdk-7.

 

Mil gracias, César :wave:

 


 

El parche fue compilado con java 8, por lo tanto cualquier versión anterior de java dará error debido a que java 8 incluye nuevas clases y sintaxis que las otras no soportan. Para hacerlo funcionar podeis usar o el Java 8 de oracle o el OpenJdk 8, eso lo dejo a vuestro gusto.

 

Y respecto a la pregunta de si seria posible compilarlo de forma que funcionara en ambas versiones, si y no. El parche esta hecho de forma que podria ser compilado con cualquier versión de java, pero el parche es una mera interfaz del programa que diseñe y que fue usado para extraer e importar los textos. Ese programa si tiene algunas caracteristicas presentes solo en java 8 y habria que cambiar varios de sus modulos. Con lo cual y teniendo en cuenta que Java 9 ya esta en desarrollo, solo es cuestion de tiempo que los sistemas empiecen a cambiar su versión java por defecto y el problema desaparezca.

 

Saludos a todos

 



#7 Haere

Haere

    Humano

  • Miembro
  • Pip
  • 1 posts

Posteado 02 December 2016 - 07:59 PM

Hola, ante todo muchas gracias a Darkpadawan y a César por traducir y actualizar el juego.

 

Me he descargado la traducción, pero al ir a instalarla me da error:

 

com.izforge.izpack.api.exception.IzPackException: ha ocurrido un error

  • in java.lang.Thread.run() at null:-1
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.run() at UnpackerBase.java:236
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.unpack() at UnpackerBase.java:273
Caused by: java.lang.NullPointerException: null
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.unpack() at UnpackerBase.java:251
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.unpack() at UnpackerBase.java:430
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.unpack() at UnpackerBase.java:483
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.unpack() at UnpackerBase.java:591
  • in com.izforge.izpack.installer.unpacker.UnpackerBase.extract() at UnpackerBase.java:632
  • in com.izforge.izpack.installer.event.InstallerListeners.afterFile() at InstallerListeners.java:268
  • in listeners.ListenerInstalacion.afterFile() at ListenerInstalacion.java:55
  • in acciones.Instalacion.parchar() at Instalacion.java:29
  • in acciones.Instalacion.parchar() at Instalacion.java:38

 

Tengo la última versión de Java instalada, así que no sé cuál es el fallo.

 

Un saludo!



#8 darkpadawan

darkpadawan

    Supremo guía espiritual de DLAN

  • Moderador
  • 6006 posts

Posteado 05 December 2016 - 06:07 PM

Ni idea, la verdad, parece algún  tipo de conflicto. Igual instalando el openjdk...


Night in the Woods (avanzando por fin)

 
Dreamfall Chapters  - Ankh 2: Heart of Osiris  - The Walking Dead season1 - Xenonauts  - 1954: Alcatraz - Divinity: Original Sin

Endless Space Disharmony  -  Tales from the Borderlands  - Worlds of Magic  - Betrayer - Anachronox - The Void - Chrome: SpecForce

Grim Dawn - Jurassic Park: the game - The Turing Test  -  The Inner World  - Duke Nukem Manhattan Project - Red Faction

The Swapper - Gone Home - Fallout 2 - Fallout Tactics - Pandora: First Contact/Eclipse of Nashira  -  The Elder Scrolls: Arena - Trauma

Amnesia: Justine -Darkness Within 1 y 2 - The Seven Sisters - Grand Theft Auto III  -  Tales of Monkey Island  -  Waking Mars

GTA Vice City - FSPort Mod - The Babylon Project - Wing Commander Saga Prologue - Thief: The Dark Project (+Gold)  -  In Verbis Virtus

Dark  -  The Banner Saga  -  Thief II: The Metal Age - 1849 Gold Edition - Shadows of the Metal Age - System Shock 2 - The Saboteur

The Few  -  Meridian: New World  -  Freelancer  -  Risen  -  Hexen II  -  Alone in Space




Responder



  


A Bragol. Tus amigos te echan de menos.